package com.sundot.airport.exam.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sundot.airport.exam.common.model.BaseEntity;

import java.io.Serializable;

/**
 * <b>功能名：</b>TestPaperCat<br>
 * <b>说明：</b> 试卷分类表 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-18 liangxiao
 */
@TableName("edu_cs_test_paper_cat")
public class TestPaperCat extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 业务主键
     */
    private String tpcId;

    /**
     * 分类名称
     */
    private String tpcName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTpcId() {
        return tpcId;
    }

    public void setTpcId(String tpcId) {
        this.tpcId = tpcId;
    }

    public String getTpcName() {
        return tpcName;
    }

    public void setTpcName(String tpcName) {
        this.tpcName = tpcName;
    }

    @Override
    public String toString() {
        return "TestPaperCat{" +
                "id=" + id +
                ", tpcId=" + tpcId +
                ", tpcName=" + tpcName +
                "}";
    }
}